import request from '@/utils/request'

// 查询员工信息列表
export function listBaseStaffInfo(query) {
  return request({
    url: '/mes/base/baseStaffInfo/list',
    method: 'get',
    params: query
  })
}

// 查询员工信息详细
export function getBaseStaffInfo(objId) {
  return request({
    url: '/mes/base/baseStaffInfo/' + objId,
    method: 'get'
  })
}

// 新增员工信息
export function addBaseStaffInfo(data) {
  return request({
    url: '/mes/base/baseStaffInfo',
    method: 'post',
    data: data
  })
}

// 修改员工信息
export function updateBaseStaffInfo(data) {
  return request({
    url: '/mes/base/baseStaffInfo',
    method: 'put',
    data: data
  })
}

// 删除员工信息
export function delBaseStaffInfo(objId) {
  return request({
    url: '/mes/base/baseStaffInfo/' + objId,
    method: 'delete'
  })
}
